<template>
    <view class="flex flex-col bg-white rounded-[16rpx]" :class="addClasses">
        <text class="font-bold p-[24rpx]" v-if="title">{{ title }}</text>
        <view>
            <slot />
        </view>
    </view>
</template>

<script setup lang="ts">
import { computed } from 'vue'

const props = defineProps({
    title: {
        type: String,
        default: ''
    },
    className: {
        type: String,
        default: ''
    }
})
const addClasses = computed(() => {
    return props.className
})
</script>
<style scoped lang="scss"></style>
